//// Docs
// Se déplacer à un point du scrollhttps:
//		http://api.jquery.com/scrollTop/

// Récupérer la position verticale d'un élément
// 		http://api.jquery.com/offset/


// Ajout d'écouteurs sur chaque élément du menu
$('button').click(goTo);


function goTo(event) {

	// Récupération de l'élément auquel on doit scroll (attribut data-to dans le html)
	var elementVersQuiOnScroll = "#" + $(this).data('to');
	console.log(elementVersQuiOnScroll); // hey1, hey2, hey3, etc. en fonction du bouton cliqué

	// Position de l'élément vers qui on scroll par rapport au haut du navigateur, en fonction du scroll actuel
	var distanceFromTop = $(elementVersQuiOnScroll).offset().top;

	// On rajoute une petite marge afin que ça ne soit pas collé en haut
	distanceFromTop -= 10;

	// Se déplacer à cette position
	$('html, body').animate({
        scrollTop: distanceFromTop
    }, 2000); // en deux secondes

}



// On ajoute un écouteur à chaque bloc de texte : quand l'élément est la au scroll..
$('article').each(
	function(index) {
		
		// Variable intermédiaire car dans waypoint $(this) devient l'event WP
		var cetArticle = $(this);

		var waypoint = new Waypoint({
			element: $(this),
			handler: function() {
				
				console.log( cetArticle );
				console.log( cetArticle.find('h1').attr('id') );
				console.log( $( window ).height() );
				console.log( "----" );
				
				// .. on l'affiche de manière swag
				// http://api.jquery.com/animate/
				cetArticle.animate({
						opacity: 1, // animate slideUp
						marginLeft: '0px'
					}, 700, 'linear');

				// L'évènement n'est déclenché qu'une fois #sauvonsLaRAM
				waypoint.destroy();
			},
			// L'évent se déclenche quand l'article est en bas de l'écran, (la position de l'élément en haut de l'écran moins la hauteur de l'écran )
			// moins un petit décalage histoire qu'on puisse bien profiter de l'animation
			offset: $( window ).height() - 200
		});
	}
);